#290 ansible-node has Python 2 deps
Closed: Fixed 2 years ago by sgallagh. Opened 2 years ago by churchyard.

Please @kevin, check whether after https://fedoraproject.org/wiki/Changes/Ansible_python3_default the ansible-node group shouldn't have Python 3 things instead.


So, this group was for people to use to install python2/dnf-2/python2-dnf back when dnf switched to python3 by default. It allowed you to easily install those things needed on a fedora node you were managing so you could manage it with python2 ansible.

At first I was thinking we could update it, but there's no point... it's really only for ansible using python2 to easily manage the fedora target.

People will continue to manage fedora targets with python2 based ansible (rhel7 control hosts), and will want to use this to install those things (python2/dnf2). So, I would say we should just leave it alone until dnf drops python2 and then remove it then.

Sound reasonable?

Metadata Update from @kevin:
- Issue close_status updated to: Fixed
- Issue status updated to: Closed (was: Open)

2 years ago

I've removed it from https://fedoraproject.org/wiki/Changes/Update_comps_to_use_python3

I still think we should educate people to use Python 3 with Ansible, but I do not understand Ansible good enough to see all the relevant reasons here.

Please note that python2 will EOL in less than 1.5 years.

Metadata Update from @churchyard:
- Issue status updated to: Open (was: Closed)

2 years ago

Metadata Update from @sgallagh:
- Issue close_status updated to: Fixed
- Issue status updated to: Closed (was: Open)

2 years ago

Login to comment on this ticket.

Metadata